[alsa-devel] autopoint should be required for bootstrap.sh
Russell Treleaven
rtreleaven at bunnykick.ca
Thu Sep 7 19:14:51 CEST 2017
I attempted to bootstrap pulseaudio and got a non obvious error.
log is here https://pastebin.com/CctNdLwD
installing autopoint fixed the problem
the following patch makes bootstrap.sh fail if autopoint is not available.
diff --git a/bootstrap.sh b/bootstrap.sh
index 57494fc..0a05a3e 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -32,13 +32,17 @@ fi
# configure file faulty.
if ! pkg-config --version &>/dev/null; then
echo "pkg-config is required to bootstrap this program"
- DIE=1
+ exit 1
fi
-
# Other necessary programs
-intltoolize --version >/dev/null || DIE=1
-test "$DIE" = 1 && exit 1
-
+if ! autopoint --version &>/dev/null ; then
+ echo "autopoint is required to bootstrap this program"
+ exit 1
+fi
+if ! intltoolize --version >/dev/null ; then
+ echo "intltoolize is required to bootstrap this program"
+ exit 1
+fi
autopoint --force
AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install
--verbose
--
Sincerely,
Russell Treleaven
sip:rtreleaven at sip.bunnykick.ca
More information about the Alsa-devel
mailing list